
#language: ru

@ProductsOfOrganizations

Функционал: 006. ProductsOfOrganizations. Создание накладных и корректировок

Сценарий: 006.1. ProductsOfOrganizations. Реализация товаров от Организации2

	Дано Я подключаюсь под "Формирование накладных"
	Дано я устанавливаю текущему сеансу заголовок приложения "15.006. Товары организаций"
	Дано я удаляю объекты "Документы.РеализацияТоваровУслуг" без контроля ссылок
	Дано я удаляю все элементы таблицы "РегистрСведений.к2НастройкиПечатиОбъектов"
	И В командном интерфейсе я выбираю 'Заказы' 'Реализации товаров'
	Тогда открылось окно 'Реализации товаров'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Реализация товаров (создание)'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация2'
	И из выпадающего списка "Подразделение" я выбираю по строке 'Подразделение приемки заказов'
	И из выпадающего списка "Контрагент" я выбираю по строке 'Обычный покупатель'
	И из выпадающего списка "Точка доставки" я выбираю по строке 'Обычная точка доставки. Без региона'
	И в поле с именем 'Дата' я ввожу текст '31.08.2019  0:00:00'
	И в поле 'Комментарий' я ввожу текст 'Реализация товаров от Организации2'
	И я перехожу к закладке "Товары"
	И Я добавляю в заказ клиента номенклатуру "Сыр Адыгейский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Пошехонский" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я завершаю редактирование строки
	И Я добавляю в заказ клиента номенклатуру "Сыр Костромской" с характеристикой "<Без маркировки>" в количестве "10,000"
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 27.10.2020 0:00:00'
	И в таблице "Товары" из выпадающего списка "Склад" я выбираю по строке 'Склад готовой продукции'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Реализации товаров'
	И Я закрываю окно 'Реализации товаров'

Сценарий: 006.2. ProductsOfOrganizations. Завершение

	И я закрываю сеанс TESTCLIENT